/**
 *
 */
package com.cusc.nirvana.user.rnr.fp.common;


import com.alibaba.fastjson.serializer.ValueFilter;

public class FpIgnoreBase64ImgJsonNoEncryptFilter implements ValueFilter {

    @Override
    public Object process(Object object, String name, Object value) {
        // 过滤base64字段的输出
        if (FpLogOutputConstants.IGNORE_BASE64_FIELD_LIST.contains(name)) {
            return "ignore base64 string";
        }
        return value;
    }
}
